﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr91_1
{
    // Описание класса:
    class MyClass
    {
        // Метод:
        static public void Method1(out int mn, out int mx, out double avg, params int[] a)
        {
            // Сумма элементов массива
            int sum = 0; 
            mx = a[0]; // Максимальное значение
            mn = a[0]; // Минимальноее значение
            for (int k=0; k < a.Length; k++) {
                // Прибавление слагаемого к сумме: 
                sum += a[k];
                if (a[k] > mx) mx = a[k];
                if (a[k] < mn) mn = a[k];
            }
            // Вычисление среднего значения
            avg = (double)sum / a.Length;
        }
    }

    class Program
    {
        static void Main()
        {
            // Исходный массив
            int[] A = { 1, 3, 5, 7, 15, 8 };
            // Минимальное, максимальное и
            // среднее значение
            int Mn, Mx;
            double Avg;
            // Вызов статического метода
            MyClass.Method1(out Mn, out Mx, out Avg, A);
            Console.WriteLine("Минимальное значение: {0}", Mn);
            Console.WriteLine("Максимальное значение: {0}", Mx);
            Console.WriteLine("Среднее значение: {0}", Avg);
            // Задержка:
            Console.ReadLine();
        }
    }
}
